* Strange big_quad shapes with -s 0 -g 1

* On my Gentoo system, I get a segfault in/after save_bitmap with map size
is 4 or 5.  Both in allegro-4.0.3 and 4.1.11
Never happens on my other systems.

* If an output filename is around 20 char long, I get a segfault when
trying to create the bitmap.  It appears to be a bug in allegro-4.0.3.
It works in allegro-4.1.11.

* Once in a while I segfault in rand_boxes, and any thing that uses rand_poly.
Whats with this?  It usually happens with 5/6 and 15/16.

* more generating functions...
esp. ones that create "closed in maps".
Personally I would like to have a maze-like function and
one that makes little mushrooms like centipede =].

* tweak rand_poly.c to create better looking maps.
